Skip to main content
PATCH
Update invoice custom properties

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_id
string<MeteroidId>
required

Invoice ID

Example:

"inv_7n42DGM5Tflk9n8mt7Fhc7"

Body

application/json

Merge update of an invoice's custom property values (send a key with null to remove it). Allowed at any status — custom properties stay editable after the invoice is finalized.

custom_properties
any
required

Response

Updated invoice

amount_due
integer<int64>
required
applied_credits
integer<int64>
required
coupons
object[]
required
created_at
string<date-time>
required
currency
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNH,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW,
ZWL
Example:

"EUR"

custom_properties
any
required

User-defined custom property values, keyed by definition key.

customer_details
object
required
customer_id
string<MeteroidId>
required
Example:

"cus_7n42DGM5Tflk9n8mt7Fhc7"

id
string<MeteroidId>
required
Example:

"inv_7n42DGM5Tflk9n8mt7Fhc7"

invoice_date
string<date>
required
invoice_number
string
required
invoice_type
enum<string>
required
Available options:
RECURRING,
ONE_OFF,
ADJUSTMENT,
USAGE_THRESHOLD
line_items
object[]
required
net_terms
integer<int32>
required
payment_status
enum<string>
required
Available options:
UNPAID,
PARTIALLY_PAID,
PAID,
ERRORED
status
enum<string>
required
Available options:
DRAFT,
FINALIZED,
UNCOLLECTIBLE,
VOID
subtotal
integer<int64>
required
subtotal_recurring
integer<int64>
required
tax_amount
integer<int64>
required
tax_breakdown
object[]
required
total
integer<int64>
required
transactions
object[]
required
due_date
string<date> | null
finalized_at
string<date-time> | null
marked_as_uncollectible_at
string<date-time> | null
memo
string | null
paid_at
string<date-time> | null
purchase_order
string | null
reference
string | null
subscription_id
string<MeteroidId> | null
Example:

"sub_7n42DGM5Tflk9n8mt7Fhc7"

updated_at
string<date-time> | null
voided_at
string<date-time> | null